import HcTooltip from './hc-tooltip/index.vue'
import HcTipItem from './hc-tooltip/item.vue'
import HcReportModal from './hc-report-modal/index.vue'
import HcTasksUser from './hc-tasks-user/index.vue'
import HcTableForm from './table-form/index.vue'
import HcUploads from './hc-uploads/index.vue'
import HcSmsAuth from './hc-sms-auth/index.vue'

//注册全局组件
export const setupComponents = (App) => {
    App.component('HcTooltip', HcTooltip)
    App.component('HcTipItem', HcTipItem)
    App.component('HcReportModal', HcReportModal)
    App.component('HcTasksUser', HcTasksUser)
    App.component('HcTableForm', HcTableForm)
    App.component('HcUploads', HcUploads)
    App.component('HcSmsAuth', HcSmsAuth)
}
